@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@400;700&display=swap');

:root {
  --primaryColor: black;
  --navColor1: #CCA0E5f0;
  --navColor2: #e8d2e8f0;
  --navColor3: #FFCAAEf0;
  --navColor4: #9CE4CEf0;
  --navColor5: #D1F582f0;
}

html {
  box-sizing: border-box;
}

body {
  margin: 0;
  background: #000;
  font-family: 'Montserrat', sans-serif;
}

/* --- Navigation Menu ------------------------------ */

/* Overlay */
.overlay{
  position: fixed;
  z-index: 9;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(0, 0, 0, 0.7);
  transform: translateX(-100vw);
}

.overlay-slide-right {
  transition: all 0.4s ease-in-out;
  transform: translateX(0);
}

.overlay-slide-left {
  transition: all 0.8s ease-in-out;
  transform: translateX(-100vw);
}

/* Nav Menu Items */
nav,
nav ul{
  height: 100vh;
  margin: 0;
  padding: 0;
}

nav ul {
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  list-style: none;
}

nav ul li {
  height: 20%;
  overflow: hidden;
}

nav li a {
  position: relative;
  top: 45%;
  color: #fff;
  text-transform: uppercase;
  letter-spacing: 4px;
  text-decoration: none;
  display: block;
  text-align: center;
  font-weight: bold;
}

nav li a:hover {
  transform: scale(1.2);
}

nav li a::before {
  content: "";
  width: 25vw;
  height: 3px;
  background-color: #fff;
  position: absolute;
  top: 47.5%;
  left: 0;
  opacity: 0;
}

nav li a:hover::before {
  opacity: 1;
}

nav li:nth-of-type(1) {
  background-color: var(--navColor1);
}
nav li:nth-of-type(2) {
  background-color: var(--navColor2);
}
nav li:nth-of-type(3) {
  background-color: var(--navColor3);
}
nav li:nth-of-type(4) {
  background-color: var(--navColor4);
}
nav li:nth-of-type(5) {
  background-color: var(--navColor5);
}

/* Slide in animation with delay for each nav item */
.slide-in-1 {
  animation: slide-in 0.4s linear 0.2s both;
}
.slide-in-2 {
  animation: slide-in 0.4s linear 0.4s both;
}
.slide-in-3 {
  animation: slide-in 0.4s linear 0.6s both;
}
.slide-in-4 {
  animation: slide-in 0.4s linear 0.8s both;
}
.slide-in-5 {
  animation: slide-in 0.4s linear 1s both;
}

@keyframes slide-in {
  from {
    transform: translateX(-100%);
  }

  to {
    transform: translateX(0);
  }
}

/* Slide out animation with delay for each nav item */
.slide-out-1 {
  animation: slide-out 0.3s linear 0.5s both;
}
.slide-out-2 {
  animation: slide-out 0.3s linear 0.4s both;
}
.slide-out-3 {
  animation: slide-out 0.3s linear 0.3s both;
}
.slide-out-4 {
  animation: slide-out 0.3s linear 0.2s both;
}
.slide-out-5 {
  animation: slide-out 0.3s linear 0.1s both;
}

@keyframes slide-out {
  from {
    transform: translateX(0);
  }

  to {
    transform: translateX(-100%);
  }
}


/* --- Menu Bars ------------------------------------ */

.menu-bars {
  position: fixed;
  top: 1rem;
  right: 2rem;
  z-index: 10;
  display: inline;
  cursor: pointer;
}

.bar1,
.bar2,
.bar3 {
  width: 35px;
  height: 2px;
  background-color: #fff;
  margin: 8px 0;
  transition: 0.4s;
}

/* Rotate first bar */
.change .bar1 {
  transform: rotate(-45deg) translate(-7px, 8px);
}

/* Fade out the second bar */
.change .bar2 {
  opacity: 0;
}

/* Rotate last bar */
.change .bar3 {
  transform: rotate(45deg) translate(-6px, -8px);
}

/* --- Sections ------------------------------------ */

section {
  width: 100%;
  height: 100vh;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  letter-spacing: 2px;
  color: var(--primaryColor);
}
section h1 {
  text-transform: uppercase;
  letter-spacing: 4px!important;
}

section#home {
  background-image: url("images/cookies1.jpg");
  background-size: cover;
  background-position: center center;
}

section#home img {
  max-width: 600px;
}

section#about {
  background-image: url("images/cookies4.jpg");
  background-size: cover;
  background-position: center center;
}
#about .container{
  background-color: var(--navColor2);
}
#about a {
  text-decoration: none;
  font-weight: bold;
  color: #c54bc5;
}
#about a:hover {
  color: #7c2f7c;
}

section#cafe {
  background-image: url("images/cookies2.jpg");
  background-size: cover;
  background-position: center center;
}
#cafe .container{
  background-color: var(--navColor3);
}

section#club {
  background-image: url("images/cookies3.jpg");
  background-size: cover;
  background-position: center center;
}
#club .container{
  background-color: var(--navColor4);
}

section#contact {
  background-image: url("images/cookies.jpg");
  background-size: cover;
  background-position: center center;
}
#contact .container{
  background-color: var(--navColor5);
}

.container{
  width: 100%;
  height: 80vh;
  align-items: center;
  display: flex;
  justify-content: center;
  letter-spacing: 3px;
}
.content{
  width: 80%;
}
.content h1{
  font-weight: normal;
  text-decoration: underline;
  margin-bottom: 4rem;
}

/* Menu Image */
/* Style the Image Used to Trigger the Modal */
#myImg {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
  margin-top: 30px;
}

#myImg:hover {opacity: 0.7;}

#myImg2 {
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
  margin-top: 30px;
}

#myImg2:hover {opacity: 0.7;}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 11; /* Sit on top */
  padding-top: 100px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
}

/* Modal Content (Image) */
.modal-content {
  margin: auto;
  display: block;
  width: 80%;
  max-width: 900px;
}

/* Add Animation - Zoom in the Modal */
.modal-content, #caption { 
  animation-name: zoom;
  animation-duration: 0.6s;
}

@keyframes zoom {
  from {transform:scale(0)} 
  to {transform:scale(1)}
}

/* The Close Button */
.close {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close:hover,
.close:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

.close2 {
  position: absolute;
  top: 15px;
  right: 35px;
  color: #f1f1f1;
  font-size: 40px;
  font-weight: bold;
  transition: 0.3s;
}

.close2:hover,
.close2:focus {
  color: #bbb;
  text-decoration: none;
  cursor: pointer;
}

/* contact form */

input {
  width: 90%;
  padding: 10px;
  margin-bottom: 10px;
  border: none;
  border-radius: 5px;
}
textarea {
  width: 91%;
  margin-bottom: 10px;
  padding: 10px;
  border: none;
  border-radius: 5px;
  font: 400 13.3333px Arial;
}
input.button {
  padding: 10px;
  border: none;
  background-color: #CCA0E5;
  color: white;
  border-radius: 5px;
  cursor: pointer;
  -webkit-appearance: none;
}
input.button:hover {
  background-color: rgb(126, 99, 141)
}
.content h3 {
  margin-top: 30px;
}

/* Media Query: Large Smartphone (Vertical) */

@media only screen and (max-width: 750px){
  .contact1 {
    width: 100%!important;
  }
  .contact2 {
      width: 100%!important;
  }
  #contact h3 {
    font-size: 1rem;
  }
  section p {
    font-size: 0.8rem;
  }
  input.button {
    margin-bottom: 5px;
  }
  .container {
    height: 95vh;
  }
  .content h1 {
    margin-bottom: 1.5rem;
  }
  #contact .content h1 {
    margin-bottom: 0rem;
  }
}


@media only screen and (max-width: 700px){
  .modal-content {
    width: 100%;
  }
}

@media (max-width: 600px) {
  section#home img {
    max-width: 320px;
  }

  .menu-bars {
    top: 0.5rem;
    right: 1rem;
  }
  #contact {
    height: 140vh!important;
  }
  #contact .container{
    height: 120vh!important;
  }
}

@media (max-width: 350px) {
  #club {
    height: 120vh!important;
  }
  #club .container{
    height: 115vh!important;
  }
  #contact {
    height: 150vh!important;
  }
  #contact .container{
    height: 145vh!important;
  }
}

